EN2RIS(1)

NAME
en2ris - converts EndNote bibliographic data to the RIS format

SYNOPSIS

en2ris [-e logdest] [-f from-encoding] [-h] [-l loglevel] [-L logfile] [-o file] [-O file] [-q] [-t to-encoding] [-y path]

DESCRIPTION

en2ris fixes the markup errors encountered in EndNote "RIS" output and writes RIS output to stdout.

OPTIONS

-e log-destination
    log-destination can have the values 0, 1, or 2, or the equivalent strings stderr, syslog, or file, respectively. This value specifies where the log information goes to. 0 (zero) means the messages are sent to stderr. They are immediately available on the screen but they may interfere with command output. 1 will send the output to the syslog facility. Keep in mind that syslog must be configured to accept log messages from user programs, see the syslog(8) man page for further information. Unix-like systems usually save these messages in /var/log/user.log. 2 will send the messages to a custom log file which can be specified with the -L option.

-f from-encoding
    Select the input character encoding. Supported encodings are platform-dependent and can usually be found in iconv_open(3). If no encodings are specified, ISO-8859-1 aka Latin-1 is assumed.

-h
    Displays help and usage screen, then exits.

-l log-level
    Specify the priority up to which events are logged. This is either a number between 0 and 7 or one of the strings emerg, alert, crit, err, warning, notice, info, debug, respectively (see also Log level definitions). -1 disables logging completely. A low log level like 0 means that only the most critical messages are logged. A higher log level means that less critical events are logged as well. 7 will include debug messages. The latter can be verbose and abundant, so you want to avoid this log level unless you need to track down problems.

-L log-file
    Specify the full path to a log file that will receive the log messages. Typically this would be /var/log/refdba.

-o file
    Send output to file. If file exists, its contents will be overwritten.

-O file
    Send output to file. If file exists, the output will be appended.

-q
    Start without reading the configuration files. The client will use the compile-time defaults for all values that you do not set with command-line switches.

-t to-encoding
    Select the output character encoding. Supported encodings are platform-dependent and can usually be found in iconv_open(3). If no encodings are specified, UTF-8 is assumed.

-y confdir
    Specify the directory where the global configuration files are Note: By default, all RefDB applications look for their configuration files in a directory that is specified during the configure step when building the package. That is, you don't need the -y option unless you use precompiled binaries in unusual locations, e.g. by relocating a rpm package.

CONFIGURATION

en2ris evaluates the file en2risrc to initialize itself.

Table 1. en2risrc

Variable | Default | Comment
outfile | (none) | The default output file name.
outappend | t | Determines whether output is appended (t) to an existing file or overwrites (f) an existing file.
from_enc | ISO-8859-1 | The character encoding of the input data
to_enc | ISO-8859-1 | The character encoding of the output data
logfile | /var/log/med2ris.log | The full path of a custom log file. This is used only if logdest is set appropriately.
logdest | 1 | The destination of the log information. 0 = print to stderr; 1 = use the syslog facility; 2 = use a custom logfile. The latter needs a proper setting of logfile.
loglevel | 6 | The log level up to which messages will be sent. A low setting (0) allows only the most important messages, a high setting (7) allows all messages including debug messages. -1 means nothing will be logged.

DATA PROCESSING

en2ris fixes a couple of problems found in RIS data exported from EndNote. The main issues are the incomplete date formats, the export of page ranges into a single "SP" tag line, and the export of keywords as a list into a single "KW" tag line.

en2ris does not validate the input files. That is, the input files must stick to the rules of the data sources, otherwise the conversion results are not predictable.

FILES

/usr/local/etc/refdb/en2risrc
    The global configuration file of en2ris.

$HOME/.en2risrc
    The user configuration file of en2ris.

SEE ALSO

RefDB (7), bib2ris (1), db2ris (1), marc2ris (1), med2ris (1).

RefDB manual (local copy) <prefix>/share/doc/refdb-<version>/refdb-manual/index.html

RefDB manual (web) <http://refdb.sourceforge.net/manual/index.html>

RefDB on the web <http://refdb.sourceforge.net/>

AUTHOR

en2ris was written by Markus Hoenicka <markus@mhoenicka.de>.